#### D.4.16.28 homomorphism

Procedure from library `modules.lib` (see modules_lib).

Usage:
  homomorphism(rules,sources,targets); rules a matrix, sources and targets are Modules Return: Homomorphism

Example:

    LIB "modules.lib";
    ring R=0,(x,y),(lp,c);
    Matrix M=id(2);
    Module src=image(M);
    matrix rules[2][2]=x,y,x2,y2;
    Module tar=coker(M);
    src;
    ==> R^2
    ==>
    ==>
    tar;
    ==> cokernel | 1 0 |
    ==>          | 0 1 |
    ==>
    ==>
    rules;
    ==> rules[1,1]=x
    ==> rules[1,2]=y
    ==> rules[2,1]=x2
    ==> rules[2,2]=y2
    homomorphism(rules,src,tar);
    ==> | x  y  |
    ==> | x2 y2 |
    ==>
    ==> cokernel | 1 0 | <--- R^2
    ==>          | 0 1 |
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.